KTGETTAXINFO(1)

NAME
ktGetTaxInfo - explore hierarchical metagenomic data with zoomable pie charts

DESCRIPTION
Description:

    Retrieves taxonomy information for accessions or taxonomy IDs (as arguments or the first field of <stdin>, separated by whitespace). If the input is a number, it is assumed to be a taxonomy ID; otherwise it will be considered an accession or sequence ID containing an accession in the fourth field of pipe notation (e.g. "gi|12345|xx|ABC123.1|", ignoring fasta/fastq tag markers [>,@]). If taxonomy information was not found for a given input line, the output line will be only the taxonomy ID, which will be 0 if it was looked up from an accession but not found.

    Output fields are: taxID depth parent rank name

Usage:

    ktGetTaxInfo [IDs ...] [< ID_list] > tax_info

    Command line example:

    ktGetTaxInfo A00001.1 "gi|2|emb|A00002.1|" 9606

    Fasta tag example:

    grep ">" sequence.fasta | ktGetTaxInfo

OPTIONS

[-p]
    Prepend tax info to the original lines (separated by tabs).

[-a]
    Append tax info to the original lines (separated by tabs).

[-f] <integer>
    Field of accessions. [Default: '1']

[-tax <string>
    Path to directory containing a taxonomy database to use.